summaryrefslogtreecommitdiffstats
path: root/source/a/acl
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/acl')
-rwxr-xr-xsource/a/acl/acl.SlackBuild22
-rw-r--r--source/a/acl/acl.destdir.diff28
-rw-r--r--source/a/acl/slack-desc2
3 files changed, 31 insertions, 21 deletions
diff --git a/source/a/acl/acl.SlackBuild b/source/a/acl/acl.SlackBuild
index 7ad70d045..a97bf27d1 100755
--- a/source/a/acl/acl.SlackBuild
+++ b/source/a/acl/acl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.2.47-1
-ARCH=${ARCH:-x86_64}
+PKGNAM=acl
+VERSION=2.2.50
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-acl
@@ -40,8 +50,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf acl-$(echo $VERSION | cut -f 1 -d '-')
-tar xzvf $CWD/acl_$VERSION.tar.gz
-cd acl-$(echo $VERSION | cut -f 1 -d '-')
+tar xzvf $CWD/acl-$VERSION.src.tar.gz || exit 1
+cd acl-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .
find . \
@@ -77,7 +87,7 @@ mv $PKG/usr/share/doc $PKG/usr
( cd $PKG/usr/doc ; mv acl acl-$VERSION )
#It would be nice to keep the same timestamps that the files have in the source:
cp -a \
- README doc/COPYING doc/PORTING \
+ README doc/COPYING* doc/PORTING \
$PKG/usr/doc/acl-$VERSION
( cd $PKG
diff --git a/source/a/acl/acl.destdir.diff b/source/a/acl/acl.destdir.diff
index df284724b..aa4b42e83 100644
--- a/source/a/acl/acl.destdir.diff
+++ b/source/a/acl/acl.destdir.diff
@@ -1,17 +1,6 @@
---- ./include/buildmacros.orig 2007-09-10 21:00:47.000000000 -0500
-+++ ./include/buildmacros 2008-03-31 23:58:16.000000000 -0500
-@@ -27,7 +27,7 @@
- $(LFILES:.l=.o) \
- $(YFILES:%.y=%.tab.o)
-
--INSTALL = $(TOPDIR)/install-sh -o $(PKG_USER) -g $(PKG_GROUP)
-+INSTALL = $(TOPDIR)/install-sh
-
- SHELL = /bin/sh
- IMAGES_DIR = $(TOPDIR)/all-images
---- ./include/builddefs.in.orig 2007-09-10 21:00:47.000000000 -0500
-+++ ./include/builddefs.in 2008-03-31 23:58:16.000000000 -0500
-@@ -27,14 +27,14 @@
+--- ./include/builddefs.in.orig 2011-04-08 11:55:52.000000000 -0500
++++ ./include/builddefs.in 2011-04-18 13:41:25.000000000 -0500
+@@ -28,14 +28,14 @@
PKG_VERSION = @pkg_version@
PKG_PLATFORM = @pkg_platform@
PKG_DISTRIBUTION= @pkg_distribution@
@@ -34,3 +23,14 @@
CC = @cc@
AWK = @awk@
+--- ./include/buildmacros.orig 2011-04-08 11:55:52.000000000 -0500
++++ ./include/buildmacros 2011-04-18 13:41:54.000000000 -0500
+@@ -40,7 +40,7 @@
+ $(LFILES:.l=.o) \
+ $(YFILES:%.y=%.tab.o)
+
+-INSTALL = $(TOPDIR)/include/install-sh -o $(PKG_USER) -g $(PKG_GROUP)
++INSTALL = $(TOPDIR)/include/install-sh
+
+ SHELL = /bin/sh
+ IMAGES_DIR = $(TOPDIR)/all-images
diff --git a/source/a/acl/slack-desc b/source/a/acl/slack-desc
index 9609c5854..93484df35 100644
--- a/source/a/acl/slack-desc
+++ b/source/a/acl/slack-desc
@@ -15,5 +15,5 @@ acl: discretionary access rights for files and directories.
acl:
acl:
acl:
-acl:
+acl: Homepage: http://savannah.nongnu.org/projects/acl
acl: